/*!
 * headroom.js v0.9.4 - Give your page some headroom. Hide your header until you need it
 * Copyright (c) 2017 Nick Williams - http://wicky.nillia.ms/headroom.js
 * License: MIT
 */
if ($(window).width() > 1025) {
!function(d,c){"function"==typeof define&&define.amd?define([],c):"object"==typeof exports?module.exports=c():d.Headroom=c()}(this,function(){function h(b){this.callback=b,this.ticking=!1}function g(b){return b&&"undefined"!=typeof window&&(b===window||b.nodeType)}function l(b){if(arguments.length<=0){throw new Error("Missing arguments in extend function")}var o,n,m=b||{};for(n=1;n<arguments.length;n++){var c=arguments[n]||{};for(o in c){"object"!=typeof m[o]||g(m[o])?m[o]=m[o]||c[o]:m[o]=l(m[o],c[o])}}return m}function k(b){return b===Object(b)?b:{down:b,up:b}}function j(d,c){c=l(c,j.options),this.lastKnownScrollY=0,this.elem=d,this.tolerance=k(c.tolerance),this.classes=c.classes,this.offset=c.offset,this.scroller=c.scroller,this.initialised=!1,this.onPin=c.onPin,this.onUnpin=c.onUnpin,this.onTop=c.onTop,this.onNotTop=c.onNotTop,this.onBottom=c.onBottom,this.onNotBottom=c.onNotBottom}var i={bind:!!function(){}.bind,classList:"classList" in document.documentElement,rAF:!!(window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame)};return window.requestAnimationFrame=window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame,h.prototype={constructor:h,update:function(){this.callback&&this.callback(),this.ticking=!1},requestTick:function(){this.ticking||(requestAnimationFrame(this.rafCallback||(this.rafCallback=this.update.bind(this))),this.ticking=!0)},handleEvent:function(){this.requestTick()}},j.prototype={constructor:j,init:function(){if(j.cutsTheMustard){return this.debouncer=new h(this.update.bind(this)),this.elem.classList.add(this.classes.initial),setTimeout(this.attachEvent.bind(this),100),this}},destroy:function(){var d=this.classes;this.initialised=!1;for(var c in d){d.hasOwnProperty(c)&&this.elem.classList.remove(d[c])}this.scroller.removeEventListener("scroll",this.debouncer,!1)},attachEvent:function(){this.initialised||(this.lastKnownScrollY=this.getScrollY(),this.initialised=!0,this.scroller.addEventListener("scroll",this.debouncer,!1),this.debouncer.handleEvent())},unpin:function(){var d=this.elem.classList,c=this.classes;!d.contains(c.pinned)&&d.contains(c.unpinned)||(d.add(c.unpinned),d.remove(c.pinned),this.onUnpin&&this.onUnpin.call(this))},pin:function(){var d=this.elem.classList,c=this.classes;d.contains(c.unpinned)&&(d.remove(c.unpinned),d.add(c.pinned),this.onPin&&this.onPin.call(this))},top:function(){var d=this.elem.classList,c=this.classes;d.contains(c.top)||(d.add(c.top),d.remove(c.notTop),this.onTop&&this.onTop.call(this))},notTop:function(){var d=this.elem.classList,c=this.classes;d.contains(c.notTop)||(d.add(c.notTop),d.remove(c.top),this.onNotTop&&this.onNotTop.call(this))},bottom:function(){var d=this.elem.classList,c=this.classes;d.contains(c.bottom)||(d.add(c.bottom),d.remove(c.notBottom),this.onBottom&&this.onBottom.call(this))},notBottom:function(){var d=this.elem.classList,c=this.classes;d.contains(c.notBottom)||(d.add(c.notBottom),d.remove(c.bottom),this.onNotBottom&&this.onNotBottom.call(this))},getScrollY:function(){return void 0!==this.scroller.pageYOffset?this.scroller.pageYOffset:void 0!==this.scroller.scrollTop?this.scroller.scrollTop:(document.documentElement||document.body.parentNode||document.body).scrollTop},getViewportHeight:function(){return window.innerHeight||document.documentElement.clientHeight||document.body.clientHeight},getElementPhysicalHeight:function(b){return Math.max(b.offsetHeight,b.clientHeight)},getScrollerPhysicalHeight:function(){return this.scroller===window||this.scroller===document.body?this.getViewportHeight():this.getElementPhysicalHeight(this.scroller)},getDocumentHeight:function(){var d=document.body,c=document.documentElement;return Math.max(d.scrollHeight,c.scrollHeight,d.offsetHeight,c.offsetHeight,d.clientHeight,c.clientHeight)},getElementHeight:function(b){return Math.max(b.scrollHeight,b.offsetHeight,b.clientHeight)},getScrollerHeight:function(){return this.scroller===window||this.scroller===document.body?this.getDocumentHeight():this.getElementHeight(this.scroller)},isOutOfBounds:function(e){var d=e<0,f=e+this.getScrollerPhysicalHeight()>this.getScrollerHeight();return d||f},toleranceExceeded:function(d,c){return Math.abs(d-this.lastKnownScrollY)>=this.tolerance[c]},shouldUnpin:function(f,e){var n=f>this.lastKnownScrollY,m=f>=this.offset;return n&&m&&e},shouldPin:function(f,e){var n=f<this.lastKnownScrollY,m=f<=this.offset;return n&&e||m},update:function(){var e=this.getScrollY(),d=e>this.lastKnownScrollY?"down":"up",f=this.toleranceExceeded(e,d);this.isOutOfBounds(e)||(e<=this.offset?this.top():this.notTop(),e+this.getViewportHeight()>=this.getScrollerHeight()?this.bottom():this.notBottom(),this.shouldUnpin(e,f)?this.unpin():this.shouldPin(e,f)&&this.pin(),this.lastKnownScrollY=e)
}},j.options={tolerance:{up:0,down:0},offset:0,scroller:window,classes:{pinned:"headroom--pinned",unpinned:"headroom--unpinned",top:"headroom--top",notTop:"headroom--not-top",bottom:"headroom--bottom",notBottom:"headroom--not-bottom",initial:"headroom"}},j.cutsTheMustard="undefined"!=typeof i&&i.rAF&&i.bind&&i.classList,j});(function(a){if(!a){return}a.fn.headroom=function(b){return this.each(function(){var e=a(this),d=e.data("headroom"),c=typeof b==="object"&&b;c=a.extend(true,{},Headroom.options,c);if(!d){d=new Headroom(this,c);d.init();e.data("headroom",d)}if(typeof b==="string"){d[b]();if(b==="destroy"){e.removeData("headroom")}}})};a("[data-headroom]").each(function(){var b=a(this);b.headroom(b.data())})}(window.Zepto||window.jQuery));$(function(){$("#header_main").headroom({tolerance:5,offset:205,classes:{initial:"header_animated",pinned:"slideDown",unpinned:"slideUp"}})});
}